Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22937

Description

The labelling's cartographic placement is "broken" when a data-defined quadrant expression is set (even though cartographic placement

does not rely on quadrant settings). What should happen here is for quadrant settings to be ignored when in cartographic placement.

Steps to reproduce

    1. Create a new project, add a point layer

    2. Open the labelling settings, and activate labels

    3. set label placement to (*) around point, and add the following data-defined quadrant expression: 3

    4. Apply the settings, you should see labels displayed to the left of your points

    5. Re-open the labelling settings

    6. Set label placement to (*) cartographic, and notice the quadrant data-defined button gone (since it's not used)

    7. Apply the settings, you should see labels still displayed only to the left of your points

Associated revisions

Revision 7c34c537 - 2016-06-10 03:59 AM - Mathieu Pellerin - nIRV

[pal] fix quadrant exp. wrongly overwriting cartographic placement

(fixes #14989)

Revision 3afb05c2 - 2016-06-10 04:56 AM - Nyall Dawson

Merge pull request #3193 from nirvn/pal_fix_quadrant

[pal] fix quadrant exp. wrongly overwriting cartographic placement (fixes #14989)

History

#1 - 2016-06-09 07:56 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"3afb05c21d87056381dfec52fe42d7da52caa912".

2025-04-27 1/1


